# Meter PZEM-004T + ESP32 Arduino IDE & Platform IoT Ubidots Industrial 


Version 1.0   Date 26-11-2018   [PDAControl](http://pdacontrolen.com)

![alt text](http://pdacontroles.com/wp-content/uploads/2018/12/ubidots_1-1-github.png "ESP32-Ubidots")

## Description

Active power measurement test or power consumption with Peacefair PZEM-004 Meter and  **ESP32 FireBeatle DFRobot** data transmission and visualization in the **IoT Platform Ubidots Industrial**. 

Contains 1 Folders:

*  PZEM-004T-ESP32-ArduinoIDE-Ubidots: Ejemplo Arduino IDE para ESP32

The objective of these tests is to make the record of electrical measurements in an uninterrupted way of my house and have an approximate reference or estimated in costs.I simply want to compare my measurements, calculate costs and compare with local billing and really observe how much they consume the appliances and in the process generate a bit of awareness in the process.



## Descripción

Prueba de medición de potencia Activa o consumo eléctrico con Medidor PZEM-004 de Peacefair & **Modulo ESP32 FireBeatle DFRobot** envio de datos y visualización en la **Plataforma IoT Ubidots Industrial**.

Contiene 1 Carpetas:

* PZEM-004T-ESP32-ArduinoIDE-Ubidots:  Example Arduino IDE  for ESP32

El objetivo de estas pruebas es hacer el registro de las mediciones eléctricas de manera ininterrumpida en mi casa y tener una referencia aproximada o un costo estimado. Simplemente quiero comparar mis mediciones, calcular costos y comparar con la facturación local y observar realmente cuánto consumen los aparatos y, en el proceso, generar un poco de conciencia en el proceso.


# Arduino IDE Code

I have taken the original example directly from the [**Ubidots hardware API HTTP**  ](https://ubidots.com/docs/hw/?language=ESP#http) documentation, I have adapted it to the **ESP32 modules** and I have added the functions for reading the PeaceFair Meter.


El ejemplo original lo he tomado directamente de la documentación de la [**API HTTP de hardware Ubidots**  ](https://ubidots.com/docs/hw/?language=ESP#http) lo he adaptado a los **módulos ESP32** y he adicionado las funciones para lectura del Medidor marca PeaceFair.



## Library / Librerias


Arduino communication library for **Peacefair** by olehs

 * [**PZEM004T.h**  ](https://github.com/olehs/PZEM004T) - for Arduino, ESP8266 and ESP32

Thanks for contributing 


# Materials / Materiales

* [Meter PZEM 004 with display](http://s.click.aliexpress.com/e/YNVrZjq) - Power Meter TTL PeaceFair
* [Meter PZEM 004T & Three phase meters](http://s.click.aliexpress.com/e/uBunmAm) - Power Meter TTL PeaceFair
* [Meter PZEM-004T  Banggood](https://bit.ly/2HPyVJL) - Power Meter TTL PeaceFair
* [ESP32 FireBeatle DFRobot (Optional)](https://www.dfrobot.com/product-1590.html?tracking=5c027e8616927) - Module  (ESP-WROOM-32) FireBeetle by DFRobot - Espressif 
* [Current Transformer CT 0-100 Amperes](http://s.click.aliexpress.com/e/7u7m6YB) 
* [Jumper Wires Male-Female ](http://bit.ly/2KK4F9s) 
* [Jumper Wires Male-Male](http://bit.ly/2N7MZSb) 
* [Jumper Wires Female-Female](http://bit.ly/2L7HxOn) 
* [Breadboard 8.5 x 5.5cm 400 Points](http://bit.ly/2uant7G) 
* [Plastic Case type Raspberry Pi (Optional)](http://s.click.aliexpress.com/e/po06dgk) 
* [Power Supply 5V 2A](http://bit.ly/2uh5jAi) 




## Mounting / Montaje
![alt text](http://pdacontroles.com/wp-content/uploads/2018/12/casual-github.png "mounting")



## Dashboard 


![alt text](http://pdacontroles.com/wp-content/uploads/2018/12/1-github.png "dashboard 1")


![alt text](http://pdacontroles.com/wp-content/uploads/2018/12/1.5-github.png "dashboard 2")


![alt text](http://pdacontroles.com/wp-content/uploads/2018/12/2-github.png "dashboard 3")


![alt text](http://pdacontroles.com/wp-content/uploads/2018/12/3-github.png "dashboard 4")


# Documentation / Documentación 
* Read Considerations, Recommendations and Suggestions complete documentation of the project in [Measurement Electrical consumption with Ubidots Industrial & ESP32 + PZEM-004T](http://pdacontrolen.com/measurement-electrical-consumption-with-ubidots-industrial-esp32-pzem-004t/).


* Leer Consideraciones, Recomendaciones y sugerencias documentacion Completa del proyecto en  [Medición de Consumo eléctrico con Ubidots Industrial & ESP32 + PZEM-004T](http://pdacontroles.com/medicion-de-consumo-electrico-con-ubidots-industrial-esp32-pzem-004t/).

# Donations / Donaciones 
Collaborate this project and other projects in [PDAControl](http://pdacontrolen.com)  via [Paypal](https://www.paypal.me/pdacontrol). 

Respalde este proyecto y otros proyectos en [PDAControl](http://pdacontrolen.com)  mediante [Paypal](https://www.paypal.me/pdacontrol).

[![Support via PayPal](https://cdn.rawgit.com/twolfson/paypal-github-button/1.0.0/dist/button.svg)](https://www.paypal.me/pdacontrol)

# More about PDAControl / Mas sobre PDAControl
* [PDAControl English](http://pdacontrolen.com). 
* [PDAControl Español](http://pdacontroles.com). 
* [PDAControl Youtube Channel](https://www.youtube.com/channel/UCv1D6zrC0ZL0PSgM6tdEpPg/videos). 
* [Jhon_Control Twitter](https://twitter.com/Jhon_Control). 

